<?php
/**
 * PerfGroupeNodeMigration
 * 
 */
class PerfDmanuNodeMigration extends PerfDocsNodeMigration {
  public function __construct() {
		
		$this->description = t('Migrate Document Manuel Class');

		$this->fields = array();

    $this->itemsfile = 'baseperf-dmanus.xml';
    
    $this->item_xpath = '/ROOT/ITEMS/DOC_MANUSCRITS';  // relative to document		
    
    parent::__construct();

    $this->addFieldMapping('field_type')->defaultValue('manuscrit');
    // $this->addUnmigratedDestinations(array());
  }
  
  //   public function prepareRow($row){
  //     // $xml = $row->xml;
  //     parent::prepareRow($row);
  //  
  //  
  // }

	public function prepare($node, stdClass $row) {
	  parent::prepare($node, $row);
    // dsm($node);
  }
	
}